package bdi4jade.examples.undo;

import bdi4jade.core.Capability;
import bdi4jade.core.SingleCapabilityAgent;

/**
 * @author jgfaccin
 *
 */
public class SmartHomeAgent extends SingleCapabilityAgent {

	private static final long serialVersionUID = 3958283995451069802L;

	private String customName;
	

	public SmartHomeAgent(String customName) {
		super();
		this.customName = customName;
	}
	
	public SmartHomeAgent(String customName, Capability capability) {
		super(capability);
		this.customName = customName;
	}
	
	public String getCustomName() {
		return customName;
	}
}
